View Issue Details

IDProjectCategoryView StatusLast Update
15448Bug reports[All Projects] _ Unknownpublic2019-11-05 15:04
ReporterJHoeck Assigned ToJHoeck  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version4.0.0-RC6 
Target VersionFixed in Version 
Summary15448: Question code exists, definiton of proper error messages
Description

If you want to save an existing question code, define proper error messages.

Tagssprint
Complete LimeSurvey version number (& build)4.00 RC6
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionDont know
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3

Relationships

related to 15469 assignedJHoeck Submit invalid part from question title/code : loose all data 

Activities

JHoeck

JHoeck

2019-10-28 15:52

manager   ~54240

Fixed in branch: issue-15448-question-code-exists-error-messages

DenisChenu

DenisChenu

2019-10-28 18:02

developer   ~54242

I don't like this , we must disable saving (like in 2.X and 3.X) invalid code

The 1st step is fixing : don't allow submitting invalid code : HTML5 is here for this …
2nd step : check validity before submit

DenisChenu

DenisChenu

2019-10-28 18:11

developer   ~54243

The error is OK (come form model) but need to be checked before submit the form …
And same for all other part : answers + subquestions …

JHoeck

JHoeck

2019-10-29 09:51

manager   ~54247

Hey, this is another issue, I will create a new bug report for it.
Now the error comes from the model. Before, it was just a general error message inside the frontend.

DenisChenu

DenisChenu

2019-10-29 09:52

developer   ~54248

You're right :)

Sorry : bug reported : https://bugs.limesurvey.org/view.php?id=15469

About error : seems OK now :)

JHoeck

JHoeck

2019-11-05 15:04

manager   ~54406

Tested by @markusfluer

Issue History

Date Modified Username Field Change
2019-10-23 12:32 JHoeck New Issue
2019-10-23 12:32 JHoeck Status new => assigned
2019-10-23 12:32 JHoeck Assigned To => JHoeck
2019-10-23 12:33 JHoeck Tag Attached: sprint
2019-10-28 15:52 JHoeck Status assigned => testing
2019-10-28 15:52 JHoeck Note Added: 54240
2019-10-28 18:02 DenisChenu Note Added: 54242
2019-10-28 18:03 DenisChenu File Added: Peek 28-10-2019 18-01.gif
2019-10-28 18:08 DenisChenu Relationship added related to 15469
2019-10-28 18:11 DenisChenu Note Added: 54243
2019-10-29 09:51 JHoeck Note Added: 54247
2019-10-29 09:52 DenisChenu Note Added: 54248
2019-10-29 09:52 DenisChenu File Deleted: Peek 28-10-2019 18-01.gif
2019-11-05 15:04 JHoeck Status testing => closed
2019-11-05 15:04 JHoeck Resolution open => fixed
2019-11-05 15:04 JHoeck Note Added: 54406
2019-11-05 15:04 JHoeck Status closed => resolved